## iml 0.2.1

=== DESCRIPTION ===
Package: iml
Type: Package
Title: Interpretable Machine Learning
Version: 0.2.1
Date: 2018-03-04
Authors@R: c(person(given = "Christoph", family = "Molnar", 
                    role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
Description: Interpretability methods to analyze the behavior and predictions of
 any machine learning model.
 Implemented methods are:
 Feature importance described by Fisher et al. (2018) <arXiv:1801.01489>,
 partial dependence plots described by Friedman (2001) <http://www.jstor.org/stable/2699986>,
 individual conditional expectation ('ice') plots described by Goldstein et al. (2013) <doi:10.1080/10618600.2014.907095>,
 local models (variant of 'lime') described by Ribeiro et. al (2016) <arXiv:1602.04938>,
 the Shapley Value described by Strumbelj et. al (2014) <doi:10.1007/s10115-013-0679-x> and
 tree surrogate models.
Imports: R6, checkmate, dplyr, tidyr, ggplot2, partykit, glmnet,
        Metrics, data.table
Suggests: randomForest, gower, testthat, rpart, MASS, caret, e1071,
        lime, mlr
License: MIT + file LICENSE
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-03-07 13:47:11 UTC; chris
Author: Christoph Molnar [aut, cre]
Repository: CRAN
Date/Publication: 2018-03-13 17:14:38 UTC

## iml 0.3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: iml
 Type: Package
 Title: Interpretable Machine Learning
-Version: 0.2.1
-Date: 2018-03-04
+Version: 0.3.0
+Date: 2018-04-05
 Authors@R: c(person(given = "Christoph", family = "Molnar", 
                     role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
 Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
@@ -15,14 +15,15 @@
  local models (variant of 'lime') described by Ribeiro et. al (2016) <arXiv:1602.04938>,
  the Shapley Value described by Strumbelj et. al (2014) <doi:10.1007/s10115-013-0679-x> and
  tree surrogate models.
-Imports: R6, checkmate, dplyr, tidyr, ggplot2, partykit, glmnet,
-        Metrics, data.table
+URL: https://github.com/christophM/iml
+BugReports: https://github.com/christophM/iml/issues
+Imports: R6, checkmate, ggplot2, partykit, glmnet, Metrics, data.table
 Suggests: randomForest, gower, testthat, rpart, MASS, caret, e1071,
-        lime, mlr
+        lime, mlr, covr
 License: MIT + file LICENSE
 RoxygenNote: 6.0.1
 NeedsCompilation: no
-Packaged: 2018-03-07 13:47:11 UTC; chris
+Packaged: 2018-04-10 06:20:59 UTC; chris
 Author: Christoph Molnar [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-03-13 17:14:38 UTC
+Date/Publication: 2018-04-10 08:22:11 UTC

## iml 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: iml
 Type: Package
 Title: Interpretable Machine Learning
-Version: 0.3.0
-Date: 2018-04-05
+Version: 0.4.0
+Date: 2018-04-27
 Authors@R: c(person(given = "Christoph", family = "Molnar", 
                     role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
 Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
@@ -19,11 +19,12 @@
 BugReports: https://github.com/christophM/iml/issues
 Imports: R6, checkmate, ggplot2, partykit, glmnet, Metrics, data.table
 Suggests: randomForest, gower, testthat, rpart, MASS, caret, e1071,
-        lime, mlr, covr
+        lime, mlr, covr, knitr, rmarkdown
 License: MIT + file LICENSE
 RoxygenNote: 6.0.1
+VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-04-10 06:20:59 UTC; chris
+Packaged: 2018-04-27 15:53:16 UTC; chris
 Author: Christoph Molnar [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-04-10 08:22:11 UTC
+Date/Publication: 2018-04-27 16:07:52 UTC

## iml 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: iml
 Type: Package
 Title: Interpretable Machine Learning
-Version: 0.4.0
+Version: 0.5.1
 Date: 2018-04-27
 Authors@R: c(person(given = "Christoph", family = "Molnar", 
                     role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
@@ -13,7 +13,8 @@
  partial dependence plots described by Friedman (2001) <http://www.jstor.org/stable/2699986>,
  individual conditional expectation ('ice') plots described by Goldstein et al. (2013) <doi:10.1080/10618600.2014.907095>,
  local models (variant of 'lime') described by Ribeiro et. al (2016) <arXiv:1602.04938>,
- the Shapley Value described by Strumbelj et. al (2014) <doi:10.1007/s10115-013-0679-x> and
+ the Shapley Value described by Strumbelj et. al (2014) <doi:10.1007/s10115-013-0679-x>, 
+ feature interactions described by Friedman et. al <doi:10.1214/07-AOAS148> and
  tree surrogate models.
 URL: https://github.com/christophM/iml
 BugReports: https://github.com/christophM/iml/issues
@@ -24,7 +25,7 @@
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-04-27 15:53:16 UTC; chris
+Packaged: 2018-05-15 07:04:14 UTC; chris
 Author: Christoph Molnar [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-04-27 16:07:52 UTC
+Date/Publication: 2018-05-15 07:36:07 UTC

## iml 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: iml
 Type: Package
 Title: Interpretable Machine Learning
-Version: 0.5.1
-Date: 2018-04-27
+Version: 0.6.0
+Date: 2018-08-01
 Authors@R: c(person(given = "Christoph", family = "Molnar", 
                     role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
 Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
@@ -18,14 +18,15 @@
  tree surrogate models.
 URL: https://github.com/christophM/iml
 BugReports: https://github.com/christophM/iml/issues
-Imports: R6, checkmate, ggplot2, partykit, glmnet, Metrics, data.table
+Imports: R6, checkmate, ggplot2, partykit, glmnet, Metrics, data.table,
+        foreach
 Suggests: randomForest, gower, testthat, rpart, MASS, caret, e1071,
-        lime, mlr, covr, knitr, rmarkdown
+        knitr, lime, mlr, covr, rmarkdown, devtools, doParallel
 License: MIT + file LICENSE
 RoxygenNote: 6.0.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-05-15 07:04:14 UTC; chris
+Packaged: 2018-08-17 12:10:47 UTC; chris
 Author: Christoph Molnar [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-05-15 07:36:07 UTC
+Date/Publication: 2018-08-17 13:00:03 UTC

## iml 0.7.0

=== DESCRIPTION ===
Package: iml
Type: Package
Title: Interpretable Machine Learning
Version: 0.7.0
Date: 2018-09-09
Authors@R: c(person(given = "Christoph", family = "Molnar", 
                    role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
Description: Interpretability methods to analyze the behavior and predictions of
 any machine learning model.
 Implemented methods are:
 Feature importance described by Fisher et al. (2018) <arXiv:1801.01489>,
 accumulated local effects plots described by Apley (2018) <arXiv:1612.08468>,
 partial dependence plots described by Friedman (2001) <http://www.jstor.org/stable/2699986>,
 individual conditional expectation ('ice') plots described by Goldstein et al. (2013) <doi:10.1080/10618600.2014.907095>,
 local models (variant of 'lime') described by Ribeiro et. al (2016) <arXiv:1602.04938>,
 the Shapley Value described by Strumbelj et. al (2014) <doi:10.1007/s10115-013-0679-x>, 
 feature interactions described by Friedman et. al <doi:10.1214/07-AOAS148> and
 tree surrogate models.
URL: https://github.com/christophM/iml
BugReports: https://github.com/christophM/iml/issues
Imports: R6, checkmate, ggplot2, partykit, glmnet, Metrics, data.table,
        foreach, yaImpute
Suggests: randomForest, gower, testthat, rpart, MASS, caret, e1071,
        knitr, mlr, covr, rmarkdown, devtools, doParallel, ALEPlot,
        ranger
License: MIT + file LICENSE
RoxygenNote: 6.1.0
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2018-09-11 14:36:25 UTC; chris
Author: Christoph Molnar [aut, cre]
Repository: CRAN
Date/Publication: 2018-09-11 15:20:02 UTC

## iml 0.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: iml
 Type: Package
 Title: Interpretable Machine Learning
-Version: 0.7.0
+Version: 0.7.1
 Date: 2018-09-09
 Authors@R: c(person(given = "Christoph", family = "Molnar", 
                     role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
@@ -28,7 +28,7 @@
 RoxygenNote: 6.1.0
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-09-11 14:36:25 UTC; chris
+Packaged: 2018-10-03 09:20:03 UTC; chris
 Author: Christoph Molnar [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-09-11 15:20:02 UTC
+Date/Publication: 2018-10-03 09:50:02 UTC

## iml 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: iml
 Type: Package
 Title: Interpretable Machine Learning
-Version: 0.7.1
-Date: 2018-09-09
+Version: 0.8.0
+Date: 2018-12-20
 Authors@R: c(person(given = "Christoph", family = "Molnar", 
                     role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
 Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
@@ -20,15 +20,15 @@
 URL: https://github.com/christophM/iml
 BugReports: https://github.com/christophM/iml/issues
 Imports: R6, checkmate, ggplot2, partykit, glmnet, Metrics, data.table,
-        foreach, yaImpute
+        foreach, yaImpute, prediction, Formula
 Suggests: randomForest, gower, testthat, rpart, MASS, caret, e1071,
         knitr, mlr, covr, rmarkdown, devtools, doParallel, ALEPlot,
         ranger
 License: MIT + file LICENSE
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-10-03 09:20:03 UTC; chris
+Packaged: 2018-12-20 12:39:23 UTC; chris
 Author: Christoph Molnar [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-10-03 09:50:02 UTC
+Date/Publication: 2018-12-20 13:10:07 UTC

## iml 0.8.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: iml
 Type: Package
 Title: Interpretable Machine Learning
-Version: 0.8.0
-Date: 2018-12-20
+Version: 0.8.1
+Date: 2019-01-02
 Authors@R: c(person(given = "Christoph", family = "Molnar", 
                     role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
 Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
@@ -28,7 +28,7 @@
 RoxygenNote: 6.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2018-12-20 12:39:23 UTC; chris
+Packaged: 2019-01-02 12:10:11 UTC; chris
 Author: Christoph Molnar [aut, cre]
 Repository: CRAN
-Date/Publication: 2018-12-20 13:10:07 UTC
+Date/Publication: 2019-01-02 13:10:11 UTC

## iml 0.9.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: iml
 Type: Package
 Title: Interpretable Machine Learning
-Version: 0.8.1
-Date: 2019-01-02
+Version: 0.9.0
+Date: 2019-02-01
 Authors@R: c(person(given = "Christoph", family = "Molnar", 
                     role = c("aut", "cre"), email = "christoph.molnar@gmail.com"))
 Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
@@ -20,15 +20,16 @@
 URL: https://github.com/christophM/iml
 BugReports: https://github.com/christophM/iml/issues
 Imports: R6, checkmate, ggplot2, partykit, glmnet, Metrics, data.table,
-        foreach, yaImpute, prediction, Formula
+        foreach, yaImpute, prediction, Formula, gridExtra
 Suggests: randomForest, gower, testthat, rpart, MASS, caret, e1071,
         knitr, mlr, covr, rmarkdown, devtools, doParallel, ALEPlot,
         ranger
 License: MIT + file LICENSE
+Encoding: UTF-8
 RoxygenNote: 6.1.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2019-01-02 12:10:11 UTC; chris
+Packaged: 2019-02-05 18:02:16 UTC; chris
 Author: Christoph Molnar [aut, cre]
 Repository: CRAN
-Date/Publication: 2019-01-02 13:10:11 UTC
+Date/Publication: 2019-02-05 18:43:18 UTC

## iml 0.10.0

=== DESCRIPTION ===
Type: Package
Package: iml
Title: Interpretable Machine Learning
Version: 0.10.0
Authors@R: 
    c(person(given = "Christoph",
             family = "Molnar",
             role = c("aut", "cre"),
             email = "christoph.molnar@gmail.com"),
      person(given = "Patrick",
             family = "Schratz",
             role = "aut",
             email = "patrick.schratz@gmail.com",
             comment = c(ORCID = "0000-0003-0748-6624")))
Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
Description: Interpretability methods to analyze the behavior
    and predictions of any machine learning model.  Implemented methods
    are: Feature importance described by Fisher et al. (2018)
    <arXiv:1801.01489>, accumulated local effects plots described by Apley
    (2018) <arXiv:1612.08468>, partial dependence plots described by
    Friedman (2001) <http://www.jstor.org/stable/2699986>, individual
    conditional expectation ('ice') plots described by Goldstein et al.
    (2013) <doi:10.1080/10618600.2014.907095>, local models (variant of
    'lime') described by Ribeiro et. al (2016) <arXiv:1602.04938>, the
    Shapley Value described by Strumbelj et. al (2014)
    <doi:10.1007/s10115-013-0679-x>, feature interactions described by
    Friedman et. al <doi:10.1214/07-AOAS148> and tree surrogate models.
License: MIT + file LICENSE
URL: https://github.com/christophM/iml
BugReports: https://github.com/christophM/iml/issues
Imports: checkmate, data.table, Formula, future, future.apply, ggplot2,
        gridExtra, Metrics, prediction, R6
Suggests: ALEPlot, bench, caret, covr, e1071, future.callr, glmnet,
        gower, h2o, keras, knitr, MASS, mlr, mlr3, party, partykit,
        patchwork, randomForest, ranger, rmarkdown, rpart, testthat,
        yaImpute
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-03-26 09:13:40 UTC; chris
Author: Christoph Molnar [aut, cre],
  Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
Repository: CRAN
Date/Publication: 2020-03-26 10:20:03 UTC

## iml 0.10.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: iml
 Title: Interpretable Machine Learning
-Version: 0.10.0
+Version: 0.10.1
 Authors@R: 
     c(person(given = "Christoph",
              family = "Molnar",
@@ -18,7 +18,7 @@
     are: Feature importance described by Fisher et al. (2018)
     <arXiv:1801.01489>, accumulated local effects plots described by Apley
     (2018) <arXiv:1612.08468>, partial dependence plots described by
-    Friedman (2001) <http://www.jstor.org/stable/2699986>, individual
+    Friedman (2001) <www.jstor.org/stable/2699986>, individual
     conditional expectation ('ice') plots described by Goldstein et al.
     (2013) <doi:10.1080/10618600.2014.907095>, local models (variant of
     'lime') described by Ribeiro et. al (2016) <arXiv:1602.04938>, the
@@ -26,20 +26,20 @@
     <doi:10.1007/s10115-013-0679-x>, feature interactions described by
     Friedman et. al <doi:10.1214/07-AOAS148> and tree surrogate models.
 License: MIT + file LICENSE
-URL: https://github.com/christophM/iml
+URL: https://christophm.github.io/iml/,
+        https://github.com/christophM/iml/
 BugReports: https://github.com/christophM/iml/issues
 Imports: checkmate, data.table, Formula, future, future.apply, ggplot2,
-        gridExtra, Metrics, prediction, R6
+        keras (>= 2.2.5.0), Metrics, prediction, R6
 Suggests: ALEPlot, bench, caret, covr, e1071, future.callr, glmnet,
-        gower, h2o, keras, knitr, MASS, mlr, mlr3, party, partykit,
-        patchwork, randomForest, ranger, rmarkdown, rpart, testthat,
-        yaImpute
+        gower, h2o, knitr, MASS, mlr, mlr3, party, partykit, patchwork,
+        randomForest, ranger, rmarkdown, rpart, testthat, yaImpute
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.1.0
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-03-26 09:13:40 UTC; chris
+Packaged: 2020-09-24 09:23:35 UTC; chris
 Author: Christoph Molnar [aut, cre],
   Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
 Repository: CRAN
-Date/Publication: 2020-03-26 10:20:03 UTC
+Date/Publication: 2020-09-24 12:30:14 UTC

## iml 0.11.0

=== DESCRIPTION ===
Type: Package
Package: iml
Title: Interpretable Machine Learning
Version: 0.11.0
Authors@R: c(
    person("Christoph", "Molnar", , "christoph.molnar@gmail.com", role = c("aut", "cre")),
    person("Patrick", "Schratz", , "patrick.schratz@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-0748-6624"))
  )
Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
Description: Interpretability methods to analyze the behavior and
    predictions of any machine learning model.  Implemented methods are:
    Feature importance described by Fisher et al. (2018)
    <arXiv:1801.01489>, accumulated local effects plots described by Apley
    (2018) <arXiv:1612.08468>, partial dependence plots described by
    Friedman (2001) <www.jstor.org/stable/2699986>, individual conditional
    expectation ('ice') plots described by Goldstein et al.  (2013)
    <doi:10.1080/10618600.2014.907095>, local models (variant of 'lime')
    described by Ribeiro et. al (2016) <arXiv:1602.04938>, the Shapley
    Value described by Strumbelj et. al (2014)
    <doi:10.1007/s10115-013-0679-x>, feature interactions described by
    Friedman et. al <doi:10.1214/07-AOAS148> and tree surrogate models.
License: MIT + file LICENSE
URL: https://christophm.github.io/iml/,
        https://github.com/christophM/iml/
BugReports: https://github.com/christophM/iml/issues
Imports: checkmate, data.table, Formula, future, future.apply, ggplot2,
        Metrics, prediction, R6
Suggests: ALEPlot, bench, bit64, caret, covr, e1071, future.callr,
        glmnet, gower, h2o, keras (>= 2.2.5.0), knitr, MASS, mlr, mlr3,
        party, partykit, patchwork, randomForest, ranger, rmarkdown,
        rpart, testthat, yaImpute
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/testthat/parallel: true
Encoding: UTF-8
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-05-12 19:38:20 UTC; pjs
Author: Christoph Molnar [aut, cre],
  Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
Repository: CRAN
Date/Publication: 2022-05-12 21:10:02 UTC

## iml 0.11.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: iml
 Title: Interpretable Machine Learning
-Version: 0.11.0
+Version: 0.11.1
 Authors@R: c(
     person("Christoph", "Molnar", , "christoph.molnar@gmail.com", role = c("aut", "cre")),
     person("Patrick", "Schratz", , "patrick.schratz@gmail.com", role = "aut",
@@ -34,10 +34,10 @@
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 NeedsCompilation: no
-Packaged: 2022-05-12 19:38:20 UTC; pjs
+Packaged: 2022-09-08 08:50:32 UTC; chris
 Author: Christoph Molnar [aut, cre],
   Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
 Repository: CRAN
-Date/Publication: 2022-05-12 21:10:02 UTC
+Date/Publication: 2022-09-08 09:52:58 UTC

## iml 0.11.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Type: Package
 Package: iml
 Title: Interpretable Machine Learning
-Version: 0.11.1
+Version: 0.11.2
 Authors@R: c(
-    person("Christoph", "Molnar", , "christoph.molnar@gmail.com", role = c("aut", "cre")),
+    person("Giuseppe", "Casalicchio", , "giuseppe.casalicchio@lmu.de", role = c("aut", "cre")),
+    person("Christoph", "Molnar", , "christoph.molnar@gmail.com", role = c("aut")),
     person("Patrick", "Schratz", , "patrick.schratz@gmail.com", role = "aut",
            comment = c(ORCID = "0000-0003-0748-6624"))
   )
-Maintainer: Christoph Molnar <christoph.molnar@gmail.com>
+Maintainer: Giuseppe Casalicchio <giuseppe.casalicchio@lmu.de>
 Description: Interpretability methods to analyze the behavior and
     predictions of any machine learning model.  Implemented methods are:
     Feature importance described by Fisher et al. (2018)
@@ -25,7 +26,7 @@
         https://github.com/christophM/iml/
 BugReports: https://github.com/christophM/iml/issues
 Imports: checkmate, data.table, Formula, future, future.apply, ggplot2,
-        Metrics, prediction, R6
+        Metrics, R6
 Suggests: ALEPlot, bench, bit64, caret, covr, e1071, future.callr,
         glmnet, gower, h2o, keras (>= 2.2.5.0), knitr, MASS, mlr, mlr3,
         party, partykit, patchwork, randomForest, ranger, rmarkdown,
@@ -34,10 +35,11 @@
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Encoding: UTF-8
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2022-09-08 08:50:32 UTC; chris
-Author: Christoph Molnar [aut, cre],
+Packaged: 2024-03-28 20:47:00 UTC; GDaddy
+Author: Giuseppe Casalicchio [aut, cre],
+  Christoph Molnar [aut],
   Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
 Repository: CRAN
-Date/Publication: 2022-09-08 09:52:58 UTC
+Date/Publication: 2024-03-29 07:20:02 UTC

## iml 0.11.3

=== DESCRIPTION ===
Type: Package
Package: iml
Title: Interpretable Machine Learning
Version: 0.11.3
Authors@R: c(
    person("Giuseppe", "Casalicchio", , "giuseppe.casalicchio@lmu.de", role = c("aut", "cre")),
    person("Christoph", "Molnar", , "christoph.molnar@gmail.com", role = c("aut")),
    person("Patrick", "Schratz", , "patrick.schratz@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0003-0748-6624"))
  )
Maintainer: Giuseppe Casalicchio <giuseppe.casalicchio@lmu.de>
Description: Interpretability methods to analyze the behavior and
    predictions of any machine learning model.  Implemented methods are:
    Feature importance described by Fisher et al. (2018)
    <doi:10.48550/arxiv.1801.01489>, accumulated local effects plots described by Apley
    (2018) <doi:10.48550/arxiv.1612.08468>, partial dependence plots described by
    Friedman (2001) <www.jstor.org/stable/2699986>, individual conditional
    expectation ('ice') plots described by Goldstein et al.  (2013)
    <doi:10.1080/10618600.2014.907095>, local models (variant of 'lime')
    described by Ribeiro et. al (2016) <doi:10.48550/arXiv.1602.04938>, the Shapley
    Value described by Strumbelj et. al (2014)
    <doi:10.1007/s10115-013-0679-x>, feature interactions described by
    Friedman et. al <doi:10.1214/07-AOAS148> and tree surrogate models.
License: MIT + file LICENSE
URL: https://giuseppec.github.io/iml/,
        https://github.com/giuseppec/iml/
BugReports: https://github.com/giuseppec/iml/issues
Imports: checkmate, data.table, Formula, future, future.apply, ggplot2,
        Metrics, R6
Suggests: ALEPlot, bench, bit64, caret, covr, e1071, future.callr,
        glmnet, gower, h2o, keras (>= 2.2.5.0), knitr, MASS, mlr, mlr3,
        party, partykit, patchwork, randomForest, ranger, rmarkdown,
        rpart, testthat, yaImpute
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/testthat/parallel: true
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: no
Packaged: 2024-04-27 16:08:29 UTC; GDaddy
Author: Giuseppe Casalicchio [aut, cre],
  Christoph Molnar [aut],
  Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
Repository: CRAN
Date/Publication: 2024-04-27 17:00:02 UTC

## iml 0.11.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Type: Package
 Package: iml
 Title: Interpretable Machine Learning
-Version: 0.11.3
+Version: 0.11.4
 Authors@R: c(
     person("Giuseppe", "Casalicchio", , "giuseppe.casalicchio@lmu.de", role = c("aut", "cre")),
     person("Christoph", "Molnar", , "christoph.molnar@gmail.com", role = c("aut")),
@@ -35,11 +35,11 @@
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2024-04-27 16:08:29 UTC; GDaddy
+Packaged: 2025-02-24 12:14:14 UTC; GDaddy
 Author: Giuseppe Casalicchio [aut, cre],
   Christoph Molnar [aut],
   Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>)
 Repository: CRAN
-Date/Publication: 2024-04-27 17:00:02 UTC
+Date/Publication: 2025-02-24 12:50:02 UTC

## iml 1.0.3

=== debian/changelog ===
iml (1.0.3-5) unstable; urgency=low

  * New maintainer Debian Science Team, uploader me,
    with permission from Tim Abbott.
  * Transition to dh (compat level 9).
  * Build for multiarch.
  * Standards-Version 3.9.4
  * Use copyright format 1.0.
  * Create watch file.
  * Build agains multi-arch gmp (Closes: #718114)
  * Add Vcs-* fields to debian/control (Closes: #697314).

 -- Tobias Hansen <thansen@debian.org>  Wed, 11 Sep 2013 21:58:06 +0200

iml (1.0.3-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621515).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 19:56:04 +0200

iml (1.0.3-4.1) unstable; urgency=low

  * NMU.  Change dependency libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Thu, 17 Mar 2011 21:35:32 -0500

iml (1.0.3-4) unstable; urgency=low

  * Update for new CDBS autotools API (Closes: #545598).

 -- Tim Abbott <tabbott@mit.edu>  Sat, 12 Sep 2009 20:33:35 -0400

iml (1.0.3-3) unstable; urgency=low

  * Fix DEB_AUTO_UPDATE_LIBTOOL usage (Closes: #507166).

 -- Tim Abbott <tabbott@mit.edu>  Thu, 04 Dec 2008 21:56:05 -0500

iml (1.0.3-2) unstable; urgency=low

  * Replace non-existent function mpz_init_ui with mpz_init_set_ui.
    Thanks to Laurent Fousse. (Closes: #494819).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 15 Aug 2008 02:33:46 -0400

iml (1.0.3-1) unstable; urgency=low

  * New upstream release, adds nullspaceMP function required by sagemath.
  * Update Standards-Version to 3.8.0

 -- Tim Abbott <tabbott@mit.edu>  Sat, 26 Jul 2008 05:30:12 -0400

iml (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #480084).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 30 May 2008 20:04:23 -0400

=== debian/control ===
Source: iml
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Homepage: http://www.cs.uwaterloo.ca/~astorjoh/iml.html
Build-Depends: debhelper (>= 9), dh-autoreconf, libgmp-dev, libgsl0-dev, libatlas-base-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/debian-science/packages/iml.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/iml.git;a=summary

Package: libiml0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Integer Matrix Library, runtime files
 IML is a library for exact, dense linear algebra over the integers.
 IML contains algorithms for nonsingular rational system solving,
 computing the right nullspace of an integer matrix, and certified
 linear system solving.
 .
 In addition, IML provides some low level routines for a variety of
 mod p matrix operations: computing the row-echelon form, determinant,
 rank profile, and inverse of a mod p matrix.  These mod p routines
 are not general purpose; they require that p satisfy some
 preconditions based on the dimension of the input matrix (usually p
 should be prime and should be no more than about 20 bits long).
 .
 This package contains runtime files for IML.

Package: libiml-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libiml0 (= ${binary:Version})
Description: Integer Matrix Library, development files
 IML is a library for exact, dense linear algebra over the integers.
 IML contains algorithms for nonsingular rational system solving,
 computing the right nullspace of an integer matrix, and certified
 linear system solving.
 .
 In addition, IML provides some low level routines for a variety of
 mod p matrix operations: computing the row-echelon form, determinant,
 rank profile, and inverse of a mod p matrix.  These mod p routines
 are not general purpose; they require that p satisfy some
 preconditions based on the dimension of the input matrix (usually p
 should be prime and should be no more than about 20 bits long).
 .
 This package contains development files for IML.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-shared \
		--with-gmp-include=/usr/include/$(DEB_HOST_MULTIARCH) \
		--with-gmp-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-atlas-include \
		--with-atlas-lib

override_dh_auto_clean:
	rm -f tests/test-largeentry tests/test-smallentry
	dh_auto_clean

## iml 1.0.4

=== debian/changelog ===
iml (1.0.4-1build1) eoan; urgency=medium

  * No-change rebuild to drop multiarch-support dependency.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 03:40:08 +0000

iml (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Delete patches (makefile.patch, mpz_init_ui_typo.patch),
    they were applied upstream.
  * Bump Standards-Version to 3.9.6.
  * Update debian/copyright: license is GPL2+
  * Delete unused file debian/control.in.

 -- Tobias Hansen <thansen@debian.org>  Wed, 29 Apr 2015 19:13:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Tobias Hansen <thansen@debian.org>
 Homepage: http://www.cs.uwaterloo.ca/~astorjoh/iml.html
 Build-Depends: debhelper (>= 9), dh-autoreconf, libgmp-dev, libgsl0-dev, libatlas-base-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/iml.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/iml.git;a=summary

## iml 1.0.5

=== debian/changelog ===
iml (1.0.5-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - Switch libatlas-bas-dev to libblas-dev in Build-Depends
      (Closes: #1056678).
  * debian/rules
    - Drop ATLAS-related configure options and add "--with-cblas" option to
      link against libblas.so.

 -- Doug Torrance <dtorrance@debian.org>  Wed, 08 May 2024 01:40:04 -0400

iml (1.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Remove debian/gbp.conf
  * Enable dh_missing --fail-missing

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2021 09:11:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: iml
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Tobias Hansen <thansen@debian.org>
 Section: math
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Tobias Hansen <thansen@debian.org>
-Homepage: http://www.cs.uwaterloo.ca/~astorjoh/iml.html
-Build-Depends: debhelper (>= 9), dh-autoreconf, libgmp-dev, libgsl0-dev, libatlas-base-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/iml.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/iml.git;a=summary
+Build-Depends: debhelper-compat (= 13),
+               libgmp-dev,
+               libgsl0-dev,
+               libblas-dev
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/science-team/iml
+Vcs-Git: https://salsa.debian.org/science-team/iml.git
+Homepage: https://www.cs.uwaterloo.ca/~astorjoh/iml.html
+Rules-Requires-Root: no
 
 Package: libiml0
-Section: libs
 Architecture: any
 Multi-Arch: same
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Integer Matrix Library, runtime files
  IML is a library for exact, dense linear algebra over the integers.
  IML contains algorithms for nonsingular rational system solving,
@@ -31,9 +36,11 @@
  This package contains runtime files for IML.
 
 Package: libiml-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libiml0 (= ${binary:Version})
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libiml0 (= ${binary:Version})
 Description: Integer Matrix Library, development files
  IML is a library for exact, dense linear algebra over the integers.
  IML contains algorithms for nonsingular rational system solving,

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-shared \
		--with-gmp-include=/usr/include/$(DEB_HOST_MULTIARCH) \
		--with-gmp-lib=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-cblas=-lblas

override_dh_auto_clean:
	rm -f tests/test-largeentry tests/test-smallentry
	dh_auto_clean

=== debian/watch ===
version=4
http://www.cs.uwaterloo.ca/~astorjoh/iml.html http://www.cs.uwaterloo.ca/~astorjoh/iml-(.+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
